loads = {};

function loads:overlay()
	FarmingTablet.overlay = {};
	FarmingTablet.overlay.tablet = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/tablet.dds");
	FarmingTablet.overlay.Appscreen = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/Appscreen.dds");
	FarmingTablet.overlay.backScreenBlue = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/backScreenBlue.dds");
	FarmingTablet.overlay.backScreenGray = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/backScreenGray.dds");
	FarmingTablet.overlay.backScreenGrayDark = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/backScreenGrayDark.dds");
	FarmingTablet.overlay.backScreenGrayLight = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/backScreenGrayLight.dds");
	FarmingTablet.overlay.backScreenGreen = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/backScreenGreen.dds");
	FarmingTablet.overlay.backScreenRed = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/backScreenRed.dds");
	FarmingTablet.overlay.backScreenBlack = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/backScreenBlack.dds");
	FarmingTablet.overlay.pfeilL = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/pfeilL.dds");
	FarmingTablet.overlay.pfeilR = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/pfeilR.dds");
	FarmingTablet.overlay.akku = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/akku.dds");
	FarmingTablet.overlay.akkuRed = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/akkuRed.dds");
	FarmingTablet.overlay.akku1 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/akku1.dds");
	FarmingTablet.overlay.akku2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/akku2.dds");
	FarmingTablet.overlay.akku3 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/akku3.dds");
	FarmingTablet.overlay.akku4 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/akku4.dds");
	--Overlay Settings--
	FarmingTablet.overlay.tab1 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/tab1.dds");
	FarmingTablet.overlay.tab2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/tab2.dds");
	FarmingTablet.overlay.tab3 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/tab3.dds");
	FarmingTablet.overlay.hackOn = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/hack_on.dds");
	FarmingTablet.overlay.hackOff = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/hack_off.dds");
	FarmingTablet.overlay.window_blue = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/window_blue.dds"); --1
	FarmingTablet.overlay.window_green = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/window_green.dds"); --2
	FarmingTablet.overlay.window_red = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/window_red.dds"); --3
	FarmingTablet.overlay.window_greylight = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/window_greylight.dds"); --4
	FarmingTablet.overlay.window_grey = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/window_grey.dds"); --5
	FarmingTablet.overlay.window_greydark = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/window_greydark.dds"); --6
	FarmingTablet.overlay.window_black = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/window_black.dds");
	FarmingTablet.overlay.ls17 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Settings/ls17.dds");
	--Overlay Bank--
	FarmingTablet.overlay.background = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/background.dds");
	FarmingTablet.overlay.background2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/background2.dds");
	FarmingTablet.overlay.startpage = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/startpage.dds");
	FarmingTablet.overlay.startpage2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/startpage2.dds");
	FarmingTablet.overlay.prozent_1 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/prozent_1.dds");
	FarmingTablet.overlay.prozent_2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/prozent_2.dds");
	FarmingTablet.overlay.prozent_3 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/prozent_3.dds");
	FarmingTablet.overlay.abbrechen = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/hud_abbrechen.dds");
	FarmingTablet.overlay.speichern = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/hud_speichern.dds");
	FarmingTablet.overlay.aufnehmen = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/aufnehmen.dds");
	FarmingTablet.overlay.aufnehmen2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/aufnehmen2.dds");
	FarmingTablet.overlay.kreditbewilligt = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/kreditbewilligt.dds");
	FarmingTablet.overlay.strich = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/strich.dds");
	--Overlay Appstore--
	FarmingTablet.overlay.background3 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/background.dds");
	FarmingTablet.overlay.backgroundApp = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/backgroundApp.dds");
	FarmingTablet.overlay.left = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/left.dds");
	FarmingTablet.overlay.leftOn = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/left_on.dds");
	FarmingTablet.overlay.right = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/right.dds");
	FarmingTablet.overlay.rightOn = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/right_on.dds");
	FarmingTablet.overlay.point = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/point.dds");
	FarmingTablet.overlay.pointOn = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/point_on.dds");
	FarmingTablet.overlay.buy = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Appstore/buy.dds");
	FarmingTablet.overlay.AppBank = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/AppBank.dds");
	FarmingTablet.overlay.AppFabrikscriptExtension = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/AppFabrikscriptExtension.dds");
	FarmingTablet.overlay.AppKalender = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/AppKalender.dds");
	FarmingTablet.overlay.AppSoil = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/AppSoil.dds");
	
	
	--FabrikscriptExtension
	FarmingTablet.overlay.tab1O = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/tab1.dds");
	FarmingTablet.overlay.tab2O = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/tab2.dds");
	FarmingTablet.overlay.tab3O = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/tab3.dds");
	FarmingTablet.overlay.pfeilLO = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/pfeilL.dds");
	FarmingTablet.overlay.pfeilRO = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/pfeilR.dds");
	FarmingTablet.overlay.mapperInfo = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsFS/mapperInfo.dds");
	FarmingTablet.overlay.leerOverlay = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsFS/leerOverlay.dds");
	FarmingTablet.overlay.abbrechen = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Bank/hud_abbrechen.dds");
	
	--Calendar
	FarmingTablet.overlay.background = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/background.dds");
	FarmingTablet.overlay.trennstrich = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/trennstrich.dds");
	FarmingTablet.overlay.down = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/down.dds");
	FarmingTablet.overlay.down_on = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/down_on.dds");
	FarmingTablet.overlay.up = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/up.dds");
	FarmingTablet.overlay.up_on = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/up_on.dds");
	FarmingTablet.overlay.black = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/black.dds");
	FarmingTablet.overlay.blue = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/blue.dds");
	--FarmingTablet.overlay.window = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/window.dds");
	FarmingTablet.overlay.addTermin = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/addTermin.dds");
	FarmingTablet.overlay.MarkierungInhalt = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/MarkierungInhalt.dds");
	FarmingTablet.overlay.MarkierungTitel = createImageOverlay(FarmingTablet_directory.."hudsAll/hudsCalendar/MarkierungTitel.dds");
	
	--SoilExtension
	FarmingTablet.overlay.tab1 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds/tab1_2.dds");
	FarmingTablet.overlay.acker = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/acker.dds");
	FarmingTablet.overlay.buttons = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/button.dds");
	FarmingTablet.overlay.fenster_feldhinzu = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/fenster_feldhinzu.dds");
	FarmingTablet.overlay.fenster_speichern = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/fenster_speichern.dds");
	FarmingTablet.overlay.balken = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/balken.dds");
	FarmingTablet.overlay.weizenfeld = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/weizenfeld.dds");
	FarmingTablet.overlay.fenster_startwerte = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/fenster_startwerte.dds");
	FarmingTablet.overlay.bearbeiten_hud = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/bearbeiten_hud.dds");
	FarmingTablet.overlay.leer = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/leer.dds");
	FarmingTablet.overlay.linie = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/linie.dds");
	FarmingTablet.overlay.fenster_wetter = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/fenster_wetter.dds");
	FarmingTablet.overlay.hud_pflug = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_pflug.dds");
	FarmingTablet.overlay.hud_grubber = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_grubber.dds");
	FarmingTablet.overlay.hud_saehmaschine = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_saehmaschine.dds");
	FarmingTablet.overlay.hud_pflanze1 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_pflanze1.dds");
	FarmingTablet.overlay.hud_pflanze2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_pflanze2.dds");
	FarmingTablet.overlay.hud_pflanze3 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_pflanze3.dds");
	FarmingTablet.overlay.hud_pflanze4 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_pflanze4.dds");
	FarmingTablet.overlay.hud_endwert_grun = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_endwert_grun.dds");
	FarmingTablet.overlay.hud_endwert_gelb = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_endwert_gelb.dds");
	FarmingTablet.overlay.hud_endwert_rot = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_endwert_rot.dds");
	FarmingTablet.overlay.feld_grau = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/feld_grau.dds");
	FarmingTablet.overlay.fenster_auswahl2 = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/fenster_auswahl2.dds");
	FarmingTablet.overlay.hud_frage = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_frage.dds");
	FarmingTablet.overlay.hud_ausbringen = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_ausbringen.dds");
	FarmingTablet.overlay.hud_abbrechen = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_abbrechen.dds");
	FarmingTablet.overlay.hud_speichern = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_speichern.dds");
	FarmingTablet.overlay.hud_leer = createImageOverlay(FarmingTablet_directory.."hudsAll/huds_Soil/hud_leer.dds");
	
end;

function loads:scripts()
	source(FarmingTablet_directory.."Scripts/Settings.lua");
	source(FarmingTablet_directory.."Scripts/Bank.lua");
	source(FarmingTablet_directory.."Scripts/FabrikscriptExtension.lua");
	source(FarmingTablet_directory.."Scripts/SoilExtension.lua");
	source(FarmingTablet_directory.."Scripts/Calendar.lua");
	
	source(FarmingTablet_directory.."Scripts/Appstore.lua");
	
end;

function loads:scriptsRegister()
	Settings:loadSettings();
	Bank:loadBank();
	FabrikscriptExtension:loadFabrikscriptExtension();
	SoilExtension:loadSoilExtension();
	Calendar:loadCalendar();
	
	Appstore:loadAppstore();
	
end;